%define name          ucl
%define version       1.01
%define prefix        %{_prefix}
%define release       1mdk
%define lib_name_orig libucl
%define lib_major     0
%define lib_name      %{lib_name_orig}%{lib_major}


# virtual package to enforce naming convention

Summary: The UCL Compression Library
Name:           %{name}
Version:        %{version}
Release:        %{release}
License:	GPL
Source:         ucl-%{version}.tar.gz
URL:		http://wildsau.idv.uni-linz.ac.at/mfx/ucl.html
Group:		System/Libraries
Packager:	William Stearns <wstearns@pobox.com>
Requires:	glibc
BuildRequires:	glibc-devel
Prefix:         /usr
BuildRoot:	%{_tmppath}/%{lib_name}-buildroot

%description
UCL implements a number of algorithms with the following features:
- Decompression is simple and *very* fast. 
- Requires no memory for decompression. 
- The decompressors can be squeezed into less than 200 bytes of code. 
- Focuses on compression levels for generating pre-compressed data which
  achieve a quite competitive compression ratio. 
- Allows you to dial up extra compression at a speed cost in the compressor.
  The speed of the decompressor is not reduced. 
- Algorithm is thread safe. 
- Algorithm is lossless. 
UCL supports in-place decompression.


# main package (contains *.so.[major].* only)

%package -n %{lib_name}
Summary: The UCL Compression Library
Group: System/Libraries
Provides: %{name} = %{version}-%{release}

%description -n %{lib_name}
UCL implements a number of algorithms with the following features:
- Decompression is simple and *very* fast. 
- Requires no memory for decompression. 
- The decompressors can be squeezed into less than 200 bytes of code. 
- Focuses on compression levels for generating pre-compressed data which
  achieve a quite competitive compression ratio. 
- Allows you to dial up extra compression at a speed cost in the compressor.
  The speed of the decompressor is not reduced. 
- Algorithm is thread safe. 
- Algorithm is lossless. 
UCL supports in-place decompression.

This package contains the library needed to run programs dynamically
linked with %{lib_name_orig}.


# devel part of the bundle

%package -n %{lib_name}-devel
Summary: The UCL Compression Library - development environment
Group: Development/C
Requires: %{lib_name} = %{version}
Provides: %{lib_name_orig}-devel = %{version}-%{release} %{name}-devel = %{version}-%{release}

%description -n %{lib_name}-devel
UCL implements a number of algorithms with the following features:
- Decompression is simple and *very* fast. 
- Requires no memory for decompression. 
- The decompressors can be squeezed into less than 200 bytes of code. 
- Focuses on compression levels for generating pre-compressed data which
  achieve a quite competitive compression ratio. 
- Allows you to dial up extra compression at a speed cost in the compressor.
  The speed of the decompressor is not reduced. 
- Algorithm is thread safe. 
- Algorithm is lossless. 
UCL supports in-place decompression.

Install %{name} if you need to compile an application with %{lib_name}
support.


%prep 


%setup -n %{name}-%{version}
CFLAGS=$RPM_OPT_FLAGS ./configure --enable-shared --prefix=%{_prefix}


%build
make


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall


%clean
rm -rf $RPM_BUILD_ROOT


%post -n %{lib_name} -p /sbin/ldconfig


%postun -n %{lib_name} -p /sbin/ldconfig


%files -n %{lib_name}
%defattr(-,root,root)
%doc COPYING INSTALL NEWS README THANKS TODO
%{_libdir}/*.so.*


%files  -n %{lib_name}-devel
%defattr(-,root,root)
%doc COPYING INSTALL NEWS README THANKS TODO
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_includedir}/*.h


%changelog
* Tue Jan 22 2002 William Stearns <wstearns@pobox.com>
- Updated source to 1.01

* Mon Jun 18 2001 HA Quc-Vit <viet@mandrakesoft.com> 0.92-1mdk
- Initial packaging.
